### Method

# Foundry TextManager load

#### Declaration [src]

    DexFuture*
    foundry_text_manager_load (
      FoundryTextManager* self,
      GFile* file,
      FoundryOperation* operation,
      const char* encoding
    )

#### Description [src]

Loads the file as a text document.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the method.

`operation`

  Type: `FoundryOperation`

  An operation for progress.

  The data is owned by the caller of the method.

`encoding`

  Type: `const char*`

  An optional encoding charset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryTextDocument`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.